﻿@model WebChat.Models.USERS

@{
    Layout = null;
}

<script src="~/Scripts/jquery-3.4.1.min.js" type="text/javascript"></script>
<link href="~/Content/bootstrap.min.css" rel="stylesheet" />
<link href="~/Content/users.css" rel="stylesheet" />

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>New User</title>
</head>
<body>
    @using (Html.BeginForm("Create", "Users", FormMethod.Post, new { @autocomplete = "off", @id = "formCreate" }))
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>New User</h4>
            <hr />
            <div class="form-group">
                @Html.LabelFor(model => model.FIRST_NAME, "First Name", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.FIRST_NAME, new { htmlAttributes = new { @class = "form-control", @id = "first_name" } })
                    @Html.ValidationMessageFor(model => model.FIRST_NAME, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.LAST_NAME, "Last Name", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.LAST_NAME, new { htmlAttributes = new { @class = "form-control", @id = "last_name" } })
                    @Html.ValidationMessageFor(model => model.LAST_NAME, "", new { @class = "text-danger" })
                </div>
            </div>

            @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="form-group">
                @Html.LabelFor(model => model.EMAIL, "E-mail", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.EMAIL, new { htmlAttributes = new { @class = "form-control", @id = "email" } })
                    @Html.ValidationMessageFor(model => model.EMAIL, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.PASSWORD, "Password", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.PASSWORD, new { htmlAttributes = new { @class = "form-control", type = "password", id="password" } })
                    @Html.ValidationMessageFor(model => model.PASSWORD, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group">
                @Html.Label("Confirm Password", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    <input class="form-control" type="password" id="checkPassword" />
                </div>                
            </div>

            <div class="form-group">
                <div class="col-md-10" style="padding-left: 350px">
                    <span id="msg" style="color:red;" />
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-12" style="padding-left: 150px">
                    <input type="button" id="btnNewUser" value="Create" class="btn btn-default"
                           style="width: 100px; height: 40px" />
                </div>

            </div>
        </div>
    }

</body>
</html>

<script>
    $(document).ready(function () {
        $(function () {
            $('#btnNewUser').click(function () {
                //Check if all fields were filled
                if ($("#first_name").val() != "" && $("#last_name").val() != "" && $("#email").val() != "" &&
                    $("#password").val() != "" && $("#checkPassword").val() != "") {

                    //Check if the password and the password confirmation are the same
                    if ($("#password").val() == $("#checkPassword").val()) {
                        $("#msg").html("");
                        document.getElementById("formCreate").submit();
                    }
                    else {
                        $("#msg").html("Password doesn't match.");
                    }
                }
                else {
                    $("#msg").html("Fill all the fields.");
                }
            });
        });
    });

</script>